package com.citygis.gis.tool.api.enums.attribute;

import lombok.Getter;

@Getter
public enum ValueMetaTypeEnum {
    TYPE_UNKNOWN("未知", "未知，unknown"),
    TYPE_NUMBER("数字类型", "简单数字类型，Number"),
    TYPE_STRING("文本类型", "简单字文本类型，String"),
    TYPE_DATE("日期类型", "日期类型，Date"),
    TYPE_BOOLEAN("布尔类型", "布尔类型，Boolean"),
    TYPE_INTEGER("短整数", "短整数，Integer"),
    TYPE_BIGNUMBER("长整数", "长整型，Big Number"),
    TYPE_SERIALIZABLE("序列化", "序列化，Serializable"),
    TYPE_BINARY("二进制流", "二进制流，Binary"),
    TYPE_TIMESTAMP("时间戳", "时间戳，毫秒"),
    TYPE_INET("网络路径", "网络路径"),
    TYPE_LOCAL_FILE("本地文件类型", "本地文件类型，存储的值就是服务器的绝对路径。"),
    TYPE_MDB_FEATURECLASS("本地MDB要素类", "本地MDB要素类"),
    TYPE_GDB_PATH("GDB本地路径类型", "本地GDB路径，不存储到文件系统"),
    TYPE_FOLDER("文件夹类型", "文件夹类型，包括文件夹路径"),
    TYPE_STRING_LIST("字符串列表", "字符串列表，多值列表，中间用英式分号;分隔"),
    TYPE_SDE_FEATURECLASS("SDE要素类", "SDE数据源中的要素类"),
    TYPE_FEATURECLASS("泛型要素类", "泛型要素类"),
    TYPE_JSON("JSON对象", "简单JSON对象"),
    TYPE_JSON_ARRAY("JSON数组", "JSON数组对象"),
    TYPE_OBJECT("泛型对象", "泛型对象类型"),
    TYPE_TABLE("表类型", "单个表类型"),
    TYPE_TABLES("多源单表类型", "选择多个数据源，每个数据源一个表类型"),
    TYPE_DOUBLE("双精度类型", "双精度类型"),
    TYPE_DOUBLE_LIST("双精度数组类型", "双精度数组类型"),
    TYPE_DYNAMIC_LAYER("动态服务图层类型", "动态服务图层类型"),
    TYPE_TILED_LAYER("切片服务图层类型", "切片服务图层类型"),
    TYPE_DS("当前数据源类型", "当前数据源类型，对应数据模型当前DataSource。"),
    TYPE_STRING_COLUMN("字符串列", "字符串列，表示从数据源中选择某列作为输入。"),
    TYPE_DICTIONARY("字典类型", "字典类型，键值对列表，键类型为文本类型，值类型为object。"),
    TYPE_STRING_MULTICOLUMN("字符串多列", "字符串多列，表示从数据源中同时选择多列作为输入。"),
    TYPE_MULTI_FEATURECLASS("要素类多选", "同一个数据源下的要素类多选。"),
    TYPE_RASTER_DATASET("栅格数据要素集", "栅格数据要素集"),
    TYPE_LOCAL_COMPOSITE("本地复合对象", "本地复合类型，例如Excel数据源，把Excel下载到本地，再附上sheet名称。"),
    TYPE_MULTITABLE("多表类型", "同一个数据源下的多个表数据。"),
    TYPE_MULTI_TABLENAME("多个表名类型", "同一个数据源下的多个表名数据。"),
    TYPE_ATLAS_TYPE("atlas类", "atlas中表示一类数据的类型"),
    TYPE_XML("XML类型", "文本类型，对应着数据源：XML（数据量不能太大）"),
    TYPE_TXT("TXT类型", "文本类型，对应着数据源：TXT（数据量不能太大）"),
    TYPE_SHAPE("shape数据", "shape数据，参数值应该是shape所在目录，文件夹内部包含多个文件"),
    TYPE_FILE("文件数据", "文件数据，存储到当前的文件系统中。"),
    TYPE_GDB("GDB存储类型", "GDB存储类型，file gdb，存储到文件系统。"),
    TYPE_FEATURECLASS_LIST("泛型要素类数组", "泛型要素类数组"),
    TYPE_UDB("UDB数据", "udb空间数据存储类型。"),
    TYPE_UDBX("UDBX数据", "udbx共享型空间数据存储类型。"),
    TYPE_MODEL_SIMPLE_MAP("模型简单键值对类型", "key是子模型唯一code，value是简单文本。"),
    TYPE_SXWU("sxwu工作空间数据", "sxwu工作空间数据类型。"),
    TYPE_SMWU("smwu工作空间数据", "smwu工作空间数据类型。"),
    ;

    private String displayName;
    private String desc;

    private ValueMetaTypeEnum(String displayName, String desc) {
        this.displayName = displayName;
        this.desc = desc;
    }
}