package com.citygis.gis.tool.domain.component.interfaces;

import com.citygis.common.boot.struct.Result;
import com.citygis.gis.tool.domain.component.define.Property;

import java.util.Map;

public interface Algorithm {
    /**
     * 获取输入参数元数据
     */
    Map<String, Property> getInputParams();

    /**
     * 获取输出参数元数据
     */
    Map<String, Property> getOutputParams();

    /**
     * 获取特征参数（因子参数）例如容差值、权重等等
     */
    Map<String, Property> getFeatureParams();

    /**
     * 初始化工作，设置参数
     */
    void init(Map<String, Property> parameters);

    /**
     * 获取算法所有元数据信息
     */
    Map<String, Object> getMetadata();

    /**
     * 计算
     */
    Result execute();
}
