package com.citygis.gis.tool.domain.constant;

public interface Constant {
    interface GlobalSystemConfig {
        /**
         * 模板目录，/template
         */
        public static String DIR_TEMPLATE = "template/";
        /**
         * 运行时目录，/runtime
         */
        public static String DIR_RUNTIME = "runtime/";
        /**
         * 临时目录
         */
        public static String DIR_TEMP = "temp/";
        /**
         * 文件geodatabase模板路径，/template/fgdb.gdb
         */
        public static String PATH_TEMPLATE_FGDB = "/template/fgdb.gdb";
        /**
         * 个人geodatabase模板路径，/template/pgdb.mdb
         */
        public static String PATH_TEMPLATE_PGDB = "/template/pgdb.mdb";
        /**
         * 默认图片路径
         */
        public static String PATH_DEFAULT_IMG = "default/default.png";
        /**
         * 算法目录
         */
        public static String DIR_ALG = "algorithms/";
        /**
         * 临时数据源目录
         */
        public static String DIR_DATASOURCE = "datasources/";
        /**
         * 组件目录
         */
        public static String DIR_COMPONENT = "components/";

        /**
         * 当前工作根目录
         *
         * @return
         */
        public static String currentBaseWorkingDirectory() {
            return System.getProperty("user.dir");
        }

        /*  *//**
         * 产品ID
         *//*
    public static String PRODUCT_ID;
    *//**
         * 版本ID
         *//*
    public static String VERSION_ID;
    *//**
         *  应用唯一id
         *//*
    public static String APP_ID;
    *//**
         * 应用名称
         *//*
    public static String APP_NAME = "模型管理系统";*/
        /**
         * 最大文本长度字节长度（1M）
         */
        public static long MAX_TEXT_LENGTH_BYTE = 1 * 1024 * 1024;
    }
}
